clear all; close all;

slika = imread('Bot 6.tif');
template = rgb2gray(imread('template.png'));

imshowpair(slika, template, 'montage');
%% calculate padding
bx = size(slika, 2); 
by = size(slika, 1);
tx = size(template, 2); % used for bbox placement
ty = size(template, 1);

%% fft

% Compute the cross power spectrum
Ga = fft2(slika);
Gb = fft2(template, by, bx);
c = real(ifft2((Ga.*conj(Gb))./abs(Ga.*conj(Gb))));

%% find peak correlation
[max_c, imax]   = max(abs(c(:)));
[ypeak, xpeak] = find(c == max(c(:)));
figure; surf(c), shading flat; % plot correlation    

%% display best match
hFig = figure;
hAx  = axes;

%No need to offset the coordinates
%xpeak and ypeak are already the top left corner of the matched window
position = [xpeak(1), ypeak(1), tx, ty];
imshow(slika, 'Parent', hAx);
rHandle = imrect(hAx, position);

addNewPositionCallback( rHandle, @myFunc ); %when rect is changed

%measuring size of the fish
sizef = sqrt( (position(3))^2 + (position(4))^2)
d = imdistline