close all
clear all

I = imread('Bot 6.tif');
T = rgb2gray(imread('template.png'));

imshowpair(I, T, 'montage')

c = normxcorr2(T, I); %calculating normalized cross-correlation
figure, surf(c), shading flat %plot correlation

%find peak in cross-correlation
[ypeak, xpeak] = find(c==max(c(:)));
%padding
yoffSet = ypeak-size(T,1);
xoffSet = xpeak-size(T,2);

%display best match
hFig = figure;
hAx  = axes;
imshow(I,'Parent', hAx);
rHandle = imrect(hAx, [xoffSet+1, yoffSet+1, size(T,2), size(T,1)]);


addNewPositionCallback( rHandle, @myFunc ); %when rect is changed

%measuring size of the fish
sizef = sqrt( (size(T,2))^2 + (size(T,1))^2)
d = imdistline